<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.activity.mapper.BladeActivityPrizeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.activity.entity.BladeActivityPrize">
        <id column="id" property="id" />
        <result column="activity_id" property="activityId" />
        <result column="name" property="name" />
        <result column="prize_type_Id" property="prizeTypeId" />
        <result column="prize_id" property="prizeId" />
        <result column="cost_price" property="costPrice" />
        <result column="total_cost" property="totalCost" />
        <result column="prize_level" property="prizeLevel" />
        <result column="prize_count" property="prizeCount" />
        <result column="used_count" property="usedCount" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="status" property="status" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, name, prize_type_Id, prize_id, cost_price, total_cost, prize_level, prize_count,used_count, create_time, update_time, status
    </sql>

</mapper>
